diff --git a/src/linux/UserInteractionsLinux.cpp b/src/linux/UserInteractionsLinux.cpp
index 399f6b7d9..d045fa5f2 100644
--- a/src/linux/UserInteractionsLinux.cpp
+++ b/src/linux/UserInteractionsLinux.cpp
@@ -61,7 +61,7 @@ void promptError(const std::string &message, const std::string &title,
                  "--title", title.c_str(),
                  (char*)nullptr) < 0)
       {
-         exit(0);
+         _exit(0);
       }
    }
     std::cerr << "Surge Error\n"
@@ -91,7 +91,7 @@ MessageResult promptOKCancel(const std::string &message, const std::string &titl
                  "--text", message.c_str(),
                  "--title", title.c_str(),
                  (char*)nullptr);
-      exit(1);
+      _exit(1);
    }
 
    int wret;
@@ -115,7 +115,7 @@ void openURL(const std::string &url)
    {
       if (execlp("xdg-open", "xdg-open", url.c_str(), (char*)nullptr) < 0)
       {
-         exit(0);
+         _exit(0);
       }
    }
 }
